# https://github.com/miurahr/aqtinstall#requirements
FROM docker.io/python:3.9 AS qtDownloader

# https://github.com/ProtonMail/proton-bridge/blob/master/BUILDS.md#build
ARG QT=6.3.2
ARG QT_MODULES=''
ARG QT_HOST=linux
ARG QT_TARGET=desktop
ARG QT_ARCH=gcc_64

# Download & Install Qt
RUN pip3 install aqtinstall
RUN aqt install-qt --outputdir /opt/qt ${QT_HOST} ${QT_TARGET} ${QT} ${QT_ARCH} -m ${QT_MODULES}

FROM cimg/go:1.18

ARG QT=6.3.2
ARG QT_ARCH=gcc_64

RUN sudo apt-get update && sudo apt-get install -y --no-install-recommends \
    build-essential openssh-client libsecret-1-dev libgl1-mesa-dev time connect-proxy libxkbcommon-dev libvulkan-dev ninja-build mesa-common-dev libglu1-mesa-dev libfontconfig1 libfreetype6 && \
    sudo rm -rf /var/lib/apt/lists/*

COPY --from=qtDownloader /opt/qt /opt/qt

ENV PATH /opt/qt/${QT}/${QT_ARCH}/bin:$PATH
ENV QT_PLUGIN_PATH /opt/qt/${QT}/${QT_ARCH}/plugins/
ENV QML_IMPORT_PATH /opt/qt/${QT}/${QT_ARCH}/qml/
ENV QML2_IMPORT_PATH /opt/qt/${QT}/${QT_ARCH}/qml/
ENV Qt5_DIR /opt/qt/${QT}/${QT_ARCH}/
ENV Qt5_Dir /opt/qt/${QT}/${QT_ARCH}/
ENV Qt6_DIR /opt/qt/${QT}/${QT_ARCH}/
